-- Erstellungszeit: 01. Juni 2005 um 00:04
-- 
-- Datenbank: `hlstats`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Actions`
-- 

CREATE TABLE `hlstats_Actions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(16) NOT NULL default 'valve',
  `code` varchar(64) NOT NULL default '',
  `reward_player` int(11) NOT NULL default '10',
  `reward_team` int(11) NOT NULL default '0',
  `team` varchar(32) NOT NULL default '',
  `description` varchar(128) default NULL,
  `for_PlayerActions` enum('0','1') NOT NULL default '0',
  `for_PlayerPlayerActions` enum('0','1') NOT NULL default '0',
  `for_TeamActions` enum('0','1') NOT NULL default '0',
  `for_WorldActions` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gamecode` (`game`,`code`),
  KEY `code` (`code`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Awards`
-- 

CREATE TABLE `hlstats_Awards` (
  `awardId` int(10) unsigned NOT NULL auto_increment,
  `awardType` enum('W','O') NOT NULL default 'W',
  `game` varchar(32) NOT NULL default 'valve',
  `code` varchar(128) NOT NULL default '',
  `name` varchar(128) NOT NULL default '',
  `verb` varchar(64) NOT NULL default '',
  `d_winner_id` int(10) unsigned default NULL,
  `d_winner_count` int(10) unsigned default NULL,
  PRIMARY KEY  (`awardId`),
  UNIQUE KEY `code` (`game`,`awardType`,`code`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_ClanTags`
-- 

CREATE TABLE `hlstats_ClanTags` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pattern` varchar(64) NOT NULL default '',
  `position` enum('EITHER','START','END') NOT NULL default 'EITHER',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `pattern` (`pattern`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Clans`
-- 

CREATE TABLE `hlstats_Clans` (
  `clanId` int(10) unsigned NOT NULL auto_increment,
  `tag` varchar(32) NOT NULL default '',
  `name` varchar(128) NOT NULL default '',
  `homepage` varchar(64) NOT NULL default '',
  `game` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`clanId`),
  UNIQUE KEY `tag` (`game`,`tag`),
  KEY `game` (`game`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Admin`
-- 

CREATE TABLE `hlstats_Events_Admin` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `type` varchar(32) NOT NULL default 'Unknown',
  `message` varchar(128) NOT NULL default '',
  `playerName` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_ChangeName`
-- 

CREATE TABLE `hlstats_Events_ChangeName` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `oldName` varchar(64) NOT NULL default '',
  `newName` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_ChangeRole`
-- 

CREATE TABLE `hlstats_Events_ChangeRole` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `role` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_ChangeTeam`
-- 

CREATE TABLE `hlstats_Events_ChangeTeam` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `team` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Connects`
-- 

CREATE TABLE `hlstats_Events_Connects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `ipAddress` varchar(15) NOT NULL default '',
  `hostname` varchar(128) NOT NULL default '',
  `hostgroup` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Disconnects`
-- 

CREATE TABLE `hlstats_Events_Disconnects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Entries`
-- 

CREATE TABLE `hlstats_Events_Entries` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Frags`
-- 

CREATE TABLE `hlstats_Events_Frags` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `killerId` int(10) unsigned NOT NULL default '0',
  `victimId` int(10) unsigned NOT NULL default '0',
  `weapon` varchar(32) NOT NULL default '',
  `headshot` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `killerId` (`killerId`),
  KEY `victimId` (`victimId`),
  KEY `weapon` (`weapon`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Latency`
-- 

CREATE TABLE `hlstats_Events_Latency` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `ping` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_PlayerActions`
-- 

CREATE TABLE `hlstats_Events_PlayerActions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `actionId` int(10) unsigned NOT NULL default '0',
  `bonus` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`),
  KEY `actionId` (`actionId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_PlayerPlayerActions`
-- 

CREATE TABLE `hlstats_Events_PlayerPlayerActions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `victimId` int(10) unsigned NOT NULL default '0',
  `actionId` int(10) unsigned NOT NULL default '0',
  `bonus` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Rcon`
-- 

CREATE TABLE `hlstats_Events_Rcon` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `type` varchar(6) NOT NULL default 'UNK',
  `remoteIp` varchar(15) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `command` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Statsme`
-- 

CREATE TABLE `hlstats_Events_Statsme` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `weapon` varchar(32) NOT NULL default '',
  `shots` int(6) unsigned NOT NULL default '0',
  `hits` int(6) unsigned NOT NULL default '0',
  `headshots` int(6) unsigned NOT NULL default '0',
  `damage` int(6) unsigned NOT NULL default '0',
  `kills` int(6) unsigned NOT NULL default '0',
  `deaths` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`),
  KEY `weapon` (`weapon`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Statsme2`
-- 

CREATE TABLE `hlstats_Events_Statsme2` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `weapon` varchar(32) NOT NULL default '',
  `head` int(6) unsigned NOT NULL default '0',
  `chest` int(6) unsigned NOT NULL default '0',
  `stomach` int(6) unsigned NOT NULL default '0',
  `leftarm` int(6) unsigned NOT NULL default '0',
  `rightarm` int(6) unsigned NOT NULL default '0',
  `leftleg` int(6) unsigned NOT NULL default '0',
  `rightleg` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_StatsmeLatency`
-- 

CREATE TABLE `hlstats_Events_StatsmeLatency` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `ping` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_StatsmeTime`
-- 

CREATE TABLE `hlstats_Events_StatsmeTime` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `time` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Suicides`
-- 

CREATE TABLE `hlstats_Events_Suicides` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `weapon` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_TeamBonuses`
-- 

CREATE TABLE `hlstats_Events_TeamBonuses` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(32) NOT NULL default '',
  `playerId` int(10) unsigned NOT NULL default '0',
  `actionId` int(10) unsigned NOT NULL default '0',
  `bonus` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `playerId` (`playerId`),
  KEY `actionId` (`actionId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Events_Teamkills`
-- 

CREATE TABLE `hlstats_Events_Teamkills` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `eventTime` datetime NOT NULL default '0000-00-00 00:00:00',
  `serverId` int(10) unsigned NOT NULL default '0',
  `map` varchar(20) NOT NULL default '',
  `killerId` int(10) unsigned NOT NULL default '0',
  `victimId` int(10) unsigned NOT NULL default '0',
  `weapon` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Games`
-- 

CREATE TABLE `hlstats_Games` (
  `code` varchar(16) NOT NULL default '',
  `name` varchar(128) NOT NULL default '',
  `hidden` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_HostGroups`
-- 

CREATE TABLE `hlstats_HostGroups` (
  `id` int(11) NOT NULL auto_increment,
  `pattern` varchar(128) NOT NULL default '',
  `name` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Livestats`
-- 

CREATE TABLE `hlstats_Livestats` (
  `player_id` int(10) NOT NULL default '0',
  `server_id` int(4) NOT NULL default '0',
  `steam_id` varchar(128) NOT NULL default '',
  `name` text NOT NULL,
  `team` varchar(32) NOT NULL default '',
  `kills` int(6) NOT NULL default '0',
  `deaths` int(6) NOT NULL default '0',
  `suicides` int(6) NOT NULL default '0',
  `headshots` int(6) NOT NULL default '0',
  `shots` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `is_dead` tinyint(1) NOT NULL default '0',
  `has_bomb` int(1) NOT NULL default '0',
  `ping` int(6) NOT NULL default '0',
  `connected` int(10) NOT NULL default '0',
  `skill_change` int(10) NOT NULL default '0',
  `skill` int(10) NOT NULL default '0',
  PRIMARY KEY  (`player_id`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Options`
-- 

CREATE TABLE `hlstats_Options` (
  `keyname` varchar(32) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`keyname`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_PlayerNames`
-- 

CREATE TABLE `hlstats_PlayerNames` (
  `playerId` int(10) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `lastuse` datetime NOT NULL default '0000-00-00 00:00:00',
  `numuses` int(10) unsigned NOT NULL default '0',
  `kills` int(11) NOT NULL default '0',
  `deaths` int(11) NOT NULL default '0',
  `suicides` int(11) NOT NULL default '0',
  `headshots` int(10) NOT NULL default '0',
  `shots` int(10) NOT NULL default '0',
  `hits` int(10) NOT NULL default '0',
  PRIMARY KEY  (`playerId`,`name`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_PlayerUniqueIds`
-- 

CREATE TABLE `hlstats_PlayerUniqueIds` (
  `playerId` int(10) unsigned NOT NULL default '0',
  `uniqueId` varchar(64) NOT NULL default '',
  `game` varchar(16) NOT NULL default '',
  `merge` int(10) unsigned default NULL,
  PRIMARY KEY  (`uniqueId`,`game`),
  KEY `playerId` (`playerId`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Players`
-- 

CREATE TABLE `hlstats_Players` (
  `playerId` int(10) unsigned NOT NULL auto_increment,
  `last_event` int(11) NOT NULL default '0',
  `lastName` varchar(64) NOT NULL default '',
  `clan` int(10) unsigned NOT NULL default '0',
  `kills` int(11) NOT NULL default '0',
  `deaths` int(11) NOT NULL default '0',
  `suicides` int(11) NOT NULL default '0',
  `skill` int(11) NOT NULL default '1000',
  `shots` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `fullName` varchar(128) default NULL,
  `email` varchar(128) default NULL,
  `homepage` varchar(128) default NULL,
  `icq` int(10) unsigned default NULL,
  `game` varchar(16) NOT NULL default '',
  `hideranking` int(1) unsigned NOT NULL default '0',
  `headshots` int(10) NOT NULL default '0',
  PRIMARY KEY  (`playerId`),
  KEY `clan` (`clan`),
  KEY `game` (`game`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Roles`
-- 

CREATE TABLE `hlstats_Roles` (
  `roleId` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(16) NOT NULL default 'valve',
  `code` varchar(32) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `hidden` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`roleId`),
  UNIQUE KEY `gamecode` (`game`,`code`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Servers`
-- 

CREATE TABLE `hlstats_Servers` (
  `serverId` int(10) unsigned NOT NULL auto_increment,
  `address` varchar(15) NOT NULL default '',
  `port` int(5) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `game` varchar(16) NOT NULL default 'valve',
  `publicaddress` varchar(64) NOT NULL default '',
  `statusurl` varchar(255) default NULL,
  `rcon_password` varchar(48) NOT NULL default '',
  `kills` int(10) NOT NULL default '0',
  `players` int(11) NOT NULL default '0',
  `rounds` int(10) NOT NULL default '0',
  `suicides` int(10) NOT NULL default '0',
  `headshots` int(10) NOT NULL default '0',
  `bombs_planted` int(10) NOT NULL default '0',
  `bombs_defused` int(10) NOT NULL default '0',
  `ct_wins` int(10) NOT NULL default '0',
  `ts_wins` int(10) NOT NULL default '0',
  `act_players` int(4) NOT NULL default '0',
  `max_players` int(4) NOT NULL default '0',
  `act_map` varchar(128) NOT NULL default '',
  `map_rounds` int(6) NOT NULL default '0',
  `map_ct_wins` int(10) NOT NULL default '0',
  `map_ts_wins` int(10) NOT NULL default '0',
  `map_started` int(10) NOT NULL default '0',
  `map_changes` int(10) NOT NULL default '0',
  `ct_shots` int(11) NOT NULL default '0',
  `ct_hits` int(11) NOT NULL default '0',
  `ts_shots` int(11) NOT NULL default '0',
  `ts_hits` int(11) NOT NULL default '0',
  `map_ct_shots` int(11) NOT NULL default '0',
  `map_ct_hits` int(11) NOT NULL default '0',
  `map_ts_shots` int(11) NOT NULL default '0',
  `map_ts_hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`serverId`),
  UNIQUE KEY `addressport` (`address`,`port`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Style`
-- 

CREATE TABLE `hlstats_Style` (
  `keyname` varchar(32) NOT NULL default '',
  `def` varchar(255) NOT NULL default '',
  `black` varchar(255) NOT NULL default '',
  `light_blue` varchar(255) NOT NULL default '',
  `grey` varchar(255) NOT NULL default '',
  `ua_style` varchar(255) NOT NULL default '',
  `red` varchar(255) NOT NULL default '',
  `light_grey` varchar(255) NOT NULL default '',
  `white` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`keyname`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Teams`
-- 

CREATE TABLE `hlstats_Teams` (
  `teamId` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(16) NOT NULL default 'valve',
  `code` varchar(32) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `hidden` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`teamId`),
  UNIQUE KEY `gamecode` (`game`,`code`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Trend`
-- 

CREATE TABLE `hlstats_Trend` (
  `timestamp` int(11) NOT NULL default '0',
  `game` varchar(16) NOT NULL default '',
  `players` int(11) NOT NULL default '0',
  `kills` int(11) NOT NULL default '0',
  `headshots` int(11) NOT NULL default '0',
  `servers` tinyint(4) NOT NULL default '0',
  `act_slots` tinyint(4) NOT NULL default '0',
  `max_slots` tinyint(4) NOT NULL default '0',
  KEY `game` (`game`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Users`
-- 

CREATE TABLE `hlstats_Users` (
  `username` varchar(16) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `acclevel` int(11) NOT NULL default '0',
  `playerId` int(11) NOT NULL default '0',
  PRIMARY KEY  (`username`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_Weapons`
-- 

CREATE TABLE `hlstats_Weapons` (
  `weaponId` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(16) NOT NULL default 'valve',
  `code` varchar(32) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `modifier` float(10,2) NOT NULL default '1.00',
  PRIMARY KEY  (`weaponId`),
  UNIQUE KEY `gamecode` (`game`,`code`),
  KEY `code` (`code`),
  KEY `modifier` (`modifier`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_server_addons`
-- 

CREATE TABLE `hlstats_server_addons` (
  `rule` varchar(64) NOT NULL default '',
  `addon` varchar(64) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`rule`)
) TYPE=MyISAM;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `hlstats_server_load`
-- 

CREATE TABLE `hlstats_server_load` (
  `server_id` tinyint(4) NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  `act_players` tinyint(2) NOT NULL default '0',
  `min_players` tinyint(2) NOT NULL default '0',
  `max_players` tinyint(2) NOT NULL default '0',
  KEY `server_id` (`server_id`)
) TYPE=MyISAM;


-- 
-- Daten fr Tabelle `hlstats_Actions`
-- 

INSERT INTO `hlstats_Actions` VALUES (1, 'css', 'Begin_Bomb_Defuse_Without_Kit', 0, 0, 'CT', 'Start Defusing the Bomb Without a Defuse Kit', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (2, 'css', 'Begin_Bomb_Defuse_With_Kit', 0, 0, 'CT', 'Start Defusing the Bomb With a Defuse Kit', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (3, 'css', 'Assassinated_The_VIP', 10, 0, 'TERRORIST', 'Assassinate the VIP', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (4, 'css', 'Planted_The_Bomb', 10, 2, 'TERRORIST', 'Plant the Bomb', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (5, 'css', 'Defused_The_Bomb', 10, 0, 'CT', 'Defuse the Bomb', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (6, 'css', 'Touched_A_Hostage', 2, 0, 'CT', 'Touch a Hostage', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (7, 'css', 'Rescued_A_Hostage', 5, 1, 'CT', 'Rescue a Hostage', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (8, 'css', 'Killed_A_Hostage', -25, 1, 'CT', 'Kill a Hostage', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (9, 'css', 'Became_VIP', 1, 0, 'CT', 'Become the VIP', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (10, 'css', 'Spawned_With_The_Bomb', 2, 0, 'TERRORIST', 'Spawn with the Bomb', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (11, 'css', 'Got_The_Bomb', 2, 0, 'TERRORIST', 'Pick up the Bomb', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (12, 'css', 'Dropped_The_Bomb', -2, 0, 'TERRORIST', 'Drop the Bomb', '1', '', '', '');
INSERT INTO `hlstats_Actions` VALUES (13, 'css', 'CTs_Win', 0, 2, 'CT', 'All Terrorists eliminated', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (14, 'css', 'Terrorists_Win', 0, 2, 'TERRORIST', 'All Counter-Terrorists eliminated', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (15, 'css', 'All_Hostages_Rescued', 0, 10, 'CT', 'Counter-Terrorists rescued all the hostages', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (16, 'css', 'Target_Bombed', 0, 5, 'TERRORIST', 'Terrorists bombed the target', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (17, 'css', 'VIP_Assassinated', 0, 6, 'TERRORIST', 'Terrorists assassinated the VIP', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (18, 'css', 'Bomb_Defused', 0, 5, 'CT', 'Counter-Terrorists defused the bomb', '', '', '1', '');
INSERT INTO `hlstats_Actions` VALUES (19, 'css', 'VIP_Escaped', 0, 10, 'CT', 'VIP escaped', '', '', '1', '');


-- 
-- Daten fr Tabelle `hlstats_Awards`
-- 

INSERT INTO `hlstats_Awards` VALUES (1, 'O', 'css', 'Defused_The_Bomb', 'Top Defuser', 'bomb defusions', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (2, 'O', 'css', 'Planted_The_Bomb', 'Top Demolitionist', 'bomb plantings', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (3, 'W', 'css', 'elite', 'Dual Berretta Elites', 'kills with elite', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (4, 'W', 'css', 'knife', 'Knife Maniac', 'knifings', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (6, 'W', 'css', 'p90', 'P90', 'kills with p90', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (7, 'W', 'css', 'deagle', 'Desert Eagle', 'kills with deagle', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (8, 'W', 'css', 'm3', 'Shotgun', 'kills with m3 shotgun', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (9, 'W', 'css', 'usp', 'USP Master', 'kills with usp', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (10, 'W', 'css', 'm4a1', 'Colt M4A1 Carbine', 'kills with m4a1', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (11, 'W', 'css', 'glock', 'Glock', 'kills with glock', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (12, 'W', 'css', 'ak47', 'AK47', 'kills with ak47', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (13, 'W', 'css', 'famas', 'Fusil Automatique', 'kills with famas', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (14, 'W', 'css', 'galil', 'Galil', 'kills with galil', NULL, NULL);
INSERT INTO `hlstats_Awards` VALUES (15, 'W', 'css', 'latency', 'Best Latency', 'ms average connection', NULL, NULL);


-- 
-- Daten fr Tabelle `hlstats_ClanTags`
-- 

INSERT INTO `hlstats_ClanTags` VALUES (1, '[AXXXXX]', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (2, '|AXXXXX|', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (3, '(AXXXXX)', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (4, '{AXXXXX}', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (5, '-=AXXX=-', 'START');
INSERT INTO `hlstats_ClanTags` VALUES (6, '=AXXXXX=', 'START');
INSERT INTO `hlstats_ClanTags` VALUES (7, '-AXXXXX-', 'START');
INSERT INTO `hlstats_ClanTags` VALUES (8, '=[AXXXX]=', 'START');
INSERT INTO `hlstats_ClanTags` VALUES (9, '-=|AXXXXXX|=-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (10, '-=[AXXXXXX]=-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (11, '-=]AXXXXXX[=-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (12, '~{|AXXXXXX|}~', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (13, '-|-AXXXXXX-|-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (14, '-(AXXXXXX)-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (15, '::AXXXXXX::', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (16, '<<AXXXXXX>>', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (17, '{{AXXXXXX}}', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (18, '((AXXXXXX))', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (19, '.|AXXXXXX|.', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (20, '--AXXXXXX--', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (21, '-)AXXXXXX(-', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (22, '/AXXXXXX\\', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (23, '//AXXXXXX\\\\', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (24, '_AXXXXXX_', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (25, '_=|AXXXXXX|=_', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (26, '*AXXXXXX*', 'EITHER');
INSERT INTO `hlstats_ClanTags` VALUES (27, '.:AXXXXXX:', 'START');
INSERT INTO `hlstats_ClanTags` VALUES (28, '[(AXXXXXX)]', 'EITHER');


-- 
-- Daten fr Tabelle `hlstats_Games`
-- 

INSERT INTO `hlstats_Games` VALUES ('css', 'Counter-Strike: Source', '0');


-- 
-- Daten fr Tabelle `hlstats_Options`
-- 

INSERT INTO `hlstats_Options` VALUES ('font_normal', '<font size=2 class="fontNormal">');
INSERT INTO `hlstats_Options` VALUES ('fontend_normal', '</font>');
INSERT INTO `hlstats_Options` VALUES ('font_small', '<font size=1 class="fontSmall">');
INSERT INTO `hlstats_Options` VALUES ('fontend_small', '</font>');
INSERT INTO `hlstats_Options` VALUES ('font_title', '<font size=4 class="fontTitle"><b>');
INSERT INTO `hlstats_Options` VALUES ('fontend_title', '</b></font>');
INSERT INTO `hlstats_Options` VALUES ('table_bgcolor1', '#FFFFFF');
INSERT INTO `hlstats_Options` VALUES ('table_bgcolor2', '#FAFAFA');
INSERT INTO `hlstats_Options` VALUES ('table_wpnbgcolor', '#000000');
INSERT INTO `hlstats_Options` VALUES ('table_border', '#99AAAA');
INSERT INTO `hlstats_Options` VALUES ('table_head_text', '#000000');
INSERT INTO `hlstats_Options` VALUES ('table_head_bgcolor', '#ABCCD6');
INSERT INTO `hlstats_Options` VALUES ('location_link', '#000000');
INSERT INTO `hlstats_Options` VALUES ('location_text', '#000000');
INSERT INTO `hlstats_Options` VALUES ('location_bgcolor', '#EFEFEF');
INSERT INTO `hlstats_Options` VALUES ('body_leftmargin', '10');
INSERT INTO `hlstats_Options` VALUES ('body_topmargin', '15');
INSERT INTO `hlstats_Options` VALUES ('body_alink', '#000000');
INSERT INTO `hlstats_Options` VALUES ('body_link', '#000000');
INSERT INTO `hlstats_Options` VALUES ('body_hlink', '#7A7A7A');
INSERT INTO `hlstats_Options` VALUES ('body_vlink', '#000000');
INSERT INTO `hlstats_Options` VALUES ('body_text', '#000000');
INSERT INTO `hlstats_Options` VALUES ('body_bgcolor', '#D4D0C8');
INSERT INTO `hlstats_Options` VALUES ('body_background', '');
INSERT INTO `hlstats_Options` VALUES ('imgdir', 'hlstatsimg');
INSERT INTO `hlstats_Options` VALUES ('contact', 'mailto:Tobi@hlstatsx.com');
INSERT INTO `hlstats_Options` VALUES ('sitename', 'HLstatsX');
INSERT INTO `hlstats_Options` VALUES ('siteurl', 'http://www.hlstatsx.com');
INSERT INTO `hlstats_Options` VALUES ('style', 'light_grey');
INSERT INTO `hlstats_Options` VALUES ('imgpath', '/hlstatsimg');
INSERT INTO `hlstats_Options` VALUES ('map_dlurl', '');
INSERT INTO `hlstats_Options` VALUES ('awards_d_date', '2005-05-30');
INSERT INTO `hlstats_Options` VALUES ('awards_numdays', '1');



-- 
-- Daten fr Tabelle `hlstats_Teams`
-- 

INSERT INTO `hlstats_Teams` VALUES (1, 'css', 'TERRORIST', 'Terrorist', '0');
INSERT INTO `hlstats_Teams` VALUES (2, 'css', 'CT', 'Counter-Terrorist', '0');
INSERT INTO `hlstats_Teams` VALUES (3, 'css', 'SPECTATOR', 'Spectator', '0');



-- 
-- Daten fr Tabelle `hlstats_Weapons`
-- 

INSERT INTO `hlstats_Weapons` VALUES (1, 'css', 'knife', 'Bundeswehr Advanced Combat Knife', 2.00);
INSERT INTO `hlstats_Weapons` VALUES (2, 'css', 'usp', 'H&K USP .45 Tactical', 1.40);
INSERT INTO `hlstats_Weapons` VALUES (3, 'css', 'glock', 'Glock 18 Select Fire', 1.40);
INSERT INTO `hlstats_Weapons` VALUES (4, 'css', 'deagle', 'Desert Eagle .50AE', 1.40);
INSERT INTO `hlstats_Weapons` VALUES (5, 'css', 'p228', 'Sig Sauer P-228', 1.50);
INSERT INTO `hlstats_Weapons` VALUES (6, 'css', 'm3', 'Benelli M3 Super 90 Combat', 1.20);
INSERT INTO `hlstats_Weapons` VALUES (7, 'css', 'xm1014', 'Benelli/H&K M4 Super 90 XM1014', 1.10);
INSERT INTO `hlstats_Weapons` VALUES (8, 'css', 'mp5navy', 'H&K MP5-Navy', 1.20);
INSERT INTO `hlstats_Weapons` VALUES (9, 'css', 'tmp', 'Steyr Tactical Machine Pistol', 1.50);
INSERT INTO `hlstats_Weapons` VALUES (10, 'css', 'p90', 'FN P90', 1.20);
INSERT INTO `hlstats_Weapons` VALUES (11, 'css', 'm4a1', 'Colt M4A1 Carbine', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (12, 'css', 'ak47', 'Kalashnikov AK-47', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (13, 'css', 'sg552', 'Sig Sauer SG-552 Commando', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (14, 'css', 'scout', 'Steyr Scout', 1.10);
INSERT INTO `hlstats_Weapons` VALUES (15, 'css', 'awp', 'Arctic Warfare Magnum (Police)', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (16, 'css', 'g3sg1', 'H&K G3/SG1 Sniper Rifle', 0.80);
INSERT INTO `hlstats_Weapons` VALUES (17, 'css', 'm249', 'M249 PARA Light Machine Gun', 1.20);
INSERT INTO `hlstats_Weapons` VALUES (18, 'css', 'hegrenade', 'High Explosive Grenade', 1.80);
INSERT INTO `hlstats_Weapons` VALUES (19, 'css', 'flashbang', 'Flashbang', 5.00);
INSERT INTO `hlstats_Weapons` VALUES (20, 'css', 'elite', 'Dual Beretta 96G Elite', 1.40);
INSERT INTO `hlstats_Weapons` VALUES (21, 'css', 'aug', 'Steyr Aug', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (22, 'css', 'mac10', 'Ingram MAC-10', 1.50);
INSERT INTO `hlstats_Weapons` VALUES (23, 'css', 'fiveseven', 'FN Five-Seven', 1.50);
INSERT INTO `hlstats_Weapons` VALUES (24, 'css', 'ump45', 'H&K UMP45', 1.20);
INSERT INTO `hlstats_Weapons` VALUES (25, 'css', 'sg550', 'Sig SG-550 Sniper', 0.80);
INSERT INTO `hlstats_Weapons` VALUES (26, 'css', 'famas', 'Fusil Automatique', 1.00);
INSERT INTO `hlstats_Weapons` VALUES (27, 'css', 'galil', 'Galil', 1.10);
INSERT INTO `hlstats_Weapons` VALUES (28, 'css', 'smokegrenade_projectile', 'Smoke Grenade', 5.00);

-- 
-- Daten fr Tabelle `hlstats_Users`
-- 

INSERT INTO hlstats_Users VALUES ('admin',MD5('123456'),100,0);




        